Skip to main content
POST
/
api
/
v1
/
catalogs
/
imei
Create a new IMEI catalog entry
curl --request POST \
  --url https://api.raul.ugps.io/api/v1/catalogs/imei \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "imei": "<string>",
  "serial": "<string>",
  "model": "<string>",
  "productCode": "<string>",
  "specId": 123,
  "platformId": 123,
  "modelPlatform": "<string>",
  "activityStatus": "<string>",
  "currentFirmware": "<string>",
  "currentConfiguration": "<string>",
  "companyName": "<string>",
  "groupName": "<string>"
}
'
{
  "id": 123,
  "imei": "<string>",
  "syncedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "serial": {},
  "model": {},
  "productCode": {},
  "specId": {},
  "platformId": {},
  "modelPlatform": {},
  "activityStatus": {},
  "currentFirmware": {},
  "currentConfiguration": {},
  "companyName": {},
  "groupName": {}
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json
imei
string
required

IMEI number (15 digits)

serial
string

Serial number

model
string

Device model

productCode
string

Product code

specId
number

Specification ID

platformId
number

Platform ID

modelPlatform
string

Model platform name

activityStatus
string

Activity status

currentFirmware
string

Current firmware version

currentConfiguration
string

Current configuration

companyName
string

Company name

groupName
string

Group name

Response

201 - application/json
id
number
required

Unique identifier

imei
string
required

IMEI number (15 digits)

syncedAt
string<date-time>
required

Last sync date

createdAt
string<date-time>
required

Creation date

updatedAt
string<date-time>
required

Last update date

serial
object

Serial number

model
object

Device model

productCode
object

Product code

specId
object

Specification ID

platformId
object

Platform ID

modelPlatform
object

Model platform name

activityStatus
object

Activity status

currentFirmware
object

Current firmware version

currentConfiguration
object

Current configuration

companyName
object

Company name

groupName
object

Group name